<?php
session_start();
include("../param.inc");
include("quiz.inc");

/**
 *      全員の成績を表示
 *	@param $path 成績保存フォルダ
 */
function print_allscore($path) {
    global $pcount;
	$n = count($_SESSION['no']);   //  ユーザ数
	$data = array();
	for ($i=0; $i<$n; $i++) {
		$scorefile = "$path/" . $_SESSION['uid'][$i];
		if (file_exists($scorefile)) {
			$fp = fopen($scorefile, "r");
			while ($tmp = fgets($fp, 4096)) $data[] = $tmp;  // 成績を取り込む
			fclose($fp);
		}
	}
	$n = count($data);
	if ($n > 0) {  // 成績があれば
		// 成績表を表示 
		print("<TABLE border=1><TR><TH>番号</TH><TH>氏名</TH><TH>得点</TH><TH>問題数</TH><TH>解答日時</TH><TH>時間(秒)</TH>\n");
		$val = explode(",", $data[0]); // カンマで分割
		for ($i=1; $i <= $pcount; $i++)  // 問題番号を出力
			print("<TH>" . $i . "</TH>");
		print("</TR>\n");
		for ($i = 0; $i < $n; $i++) {
			$val = explode(",", $data[$i]); // カンマで分割
			$j = count($val);
			print("<TR><TD align='center'>$val[0]</TD><TD>$val[1]</TD><TD align='center'>$val[2]</TD><TD align='center'>$val[3]</TD><TD>$val[4]</TD><TD align='right'>$val[5]</TD>");
			for ($k = 6; $k< $j-1; $k=$k+3) {
				print("<TD align='center'>" . $val[$k] . "<BR>" . $val[$k+1]);  // 問題番号，生徒の解答
				if ($val[$k+2] == "○") // 正解
				print("<BR><FONT color='BLUE'>○</FONT></TD>");
				else                    // 間違い
				print("<BR><FONT color='RED'>×</FONT></TD>");
			}
			print("</TR>\n");
		}
		print("</TABLE>\n");
	} else print_error("成績がありません");
	return $n;
}

print_header("小テスト");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('ログインしてください');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>ログインページへ</A></CENTER>");
} else if ($_SESSION['admin']==0) { // 管理者でない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('あなたは管理者ではありません');");
	print("</SCRIPT>");
} else {
	print_headline("成績の移動");
	?>

締切後の小テストと成績を doc ディレクトリから q? ディレクトリへ移動します。
<HR>
<FORM method="POST" action="score_move.php">
<CENTER><?php

if (isset($_POST['save'])) { // 移動ボタンが押されたら
	$i = 1;
	while(is_dir("q" . $i)) $i++;
	rename("doc", "q" . $i);  // ディレクト名の変更
	//      $result = exec("mv doc q" . $i);
	//     umask(0);
	//     mkdir("doc", 0707);
	print('<A href="score_admin.php">確認してください</A>');
} else {
	$i = 1;
	while(file_exists("q" . $i)) $i++;
	print_title1("第 $i 回小テストの成績");
	$n =  print_allscore("doc");
	if ($n > 0) print('<BR><INPUT type="submit" value="移動する" name="save">');
}
?></CENTER>
</FORM>
<?php
} print_copyright();
?>

</BODY>
</HTML>
